Inhalte

# Funktion Erl

Gibt die Zeilennummer zurück, an der ein Fehler in der Programmausführung aufgetreten ist.

## Syntax:

    Erl

## Rückgabewert:

Integer

## Parameter:

Die Funktion Erl gibt lediglich eine Zeilennummer, jedoch kein Zeilenlabel zurück.

## Beispiel:

    Sub ExampleError
    On Error GoTo ErrorHandler ' Fehlerbehandlung anmelden
    Dim iVar As Integer
    Dim sVar As String
    ' Ein Fehler wird verursacht, da die Datei nicht existiert
        iVar = Freefile
        Open "\file9879.txt" For Input As #iVar
        Line Input #iVar, sVar
        Close #iVar
        Exit Sub
    ErrorHandler:
        MsgBox "Fehler " & err & ": " & Error$ + chr(13) + "In Line : " + Erl + chr(13) + Now , 16 ,"Fehler aufgetreten"
    End Sub

Verwandte Themen

Funktionen zur Fehlerbehandlung